Update source company

This request updates the Source Companies saved within the account.

   Click here to learn more about this request

Source Tracking is used by lenders to categorize loans by company. Some users use it for tracking business referrals, while others use it as a way to assign loans to a brick-and-mortar locations. Note the following when using this request:

This request is sent through the SourceCompany endpoint, which is how all Source Company information is created, stored, and updated.

Since Source Companies can be used in different ways, some information within this request may not be applicable to your business. For example, you may not choose to use the Employees object, which assigns your own personnel to the Source Company. You may decide not to set a primary contact for the company as well.

The following Source Company information cannot be altered via the API:

Notes and Documents

Vault information

Cash Drawers

Terminal Numbers

Notifications

For an example of how viewing and editing a Source works within the UI, take a look at our Source Company Manager article on our help site.

Database

For information on Source Company database tables, see the following articles:

Database – Source Company Entity (source_company_entity)

Database – Source Company Users (source_company__users)

Database – Source Company Physical Check Account (source_company_physical_check_account_entity)

Database – Source Company Document (source_company_document_entity)

{
     "companyName": "Two Birds, One Loan",
     "contactPhone": "8005551234",
     "numPrefix": "2B1L",
     "PrimaryContact": {
          "__id": 10107
     },
     "Address": {
          "id": 2417,
          "address1": "1099 Hayes Street",
          "country": "company.country.usa",
          "state": "geo.state.CA",
          "city": "San Francisco",
          "zipcode": 94117,
          "__update": true,
          "__id": 2417
     },
     "Employees": {
          "results": [
               {
                    "userId": 10107
               }
          ]
     }
}
Path Params
int32
required
Defaults to 11

This is the ID of the Source Company.

Body Params
string

This is the name of the company.
> This needs to be unique. The system will not allow two Source Companies to have the same name.

string

This is the primary contact's phone number.

string

This determines a prefix that will be added to ID of each loan at the time of creation if it's associated with the Source Company.

string

This determines a suffix that will be added to ID of each loan at the time of creation if it's associated with the Source Company.

PrimaryContact
object

This object holds information for the Source Company's primary contact.

Address
object

This object holds address information for the Source Company.

Employees
object

This object holds information for users assigned to the Source Company as employees.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json